#!/bin/bash

Usage()
{
  echo "Usage: $0 homedir"
  exit
}

# check args are not missed..
if [ "X" = "X$1" ]
then
  echo "MySQL : error -- missed homedir !"
  Usage
fi

# print provided args..
echo "MySQL : using homedir => $1 "

# check the args are valid..
if [ -d $1  ]
then
  echo "MySQL : homedir => ok"
else
  echo "MySQL : homedir => doesn't exist !!"
  Usage
fi

echo "MySQL : starting from homedir $1 ..."
unset DYLD_LIBRARY_PATH
unset LD_LIBRARY_PATH

cd $1
./mysql.server start 2>&1

sleep 10
echo "MySQL : done."
