#!/bin/bash

# set global sys env
. `dirname $0`/../.env

#=================================================================
# dim_STAT (dim) Wrapper to jvmstat 3.0 (JDK5.0)
#=================================================================

#
# Path to JDK 5.0
#
JAVA_HOME=/usr/java
PATH=$JAVA_HOME/bin:$PATH
export JAVA_HOME PATH

#-----------------------------
# NAME selection mask
#-----------------------------
NAME_MASK="*"
export NAME_MASK

#--------------------------------------------------------------
# NAME: Replace long strings...
# syntax: REPLACE_STRn="OldWord [NewWord]"
#--------------------------------------------------------------
REPLACE_STR1=".jar "                      ; export REPLACE_STR1
REPLACE_STR2="com.france. "               ; export REPLACE_STR2
REPLACE_STR3=".server.ServerMain "        ; export REPLACE_STR3
REPLACE_STR4="Message Msg"                ; export REPLACE_STR4

cd $DIR/bin
exec $DIR/bin/WebX $DIR/bin/x.jvmSTAT -Timeout $1
