#!/bin/bash

# set global sys env
. `dirname $0`/../.env

if [ X$1 = X ]
then
  echo ""
  echo "Usage:"
  echo "   $0 Timeout"
  echo ""
  echo "NOTE: edit $0 file to set connection params, etc."
  echo ""
  exit 2
fi

#===================================================================
# MySQL stats directly via WebX.mySQL
#===================================================================

# Set connection params:
if [ -a $DIR/bin/.env-mysql ]
then
  . $DIR/bin/.env-mysql
else
  User=username
  Passwd=password
  Host=server:port
  export User Passwd Host
fi

cd $DIR/bin
exec $DIR/bin/WebX.mySQL $DIR/bin/x.mysqlSTAT -Timeout $1
