#!/bin/bash
# Processes Swap Usage..

function show_swap {
  echo "PROCESS-NAME      SWAP-KB NB"

  for file in /proc/*/status ; do
    awk '/VmSwap|Name/{printf $2 " " $3}END{ print ""}' $file 2>/dev/null;
  done | grep " kB" | grep -v " 0 kB" | \
  awk 'BEGIN{ t_sum=0; t_nb=0 }\
  {t_sum+=$2; sum[$1]+=$2; t_nb+=1; nb[$1]+=1}\
  END{ printf " %-16s %7d %2d\n","#total",t_sum,t_nb;\
  for(i in sum) printf " %-16s %7d %2d\n",i,sum[i],nb[i]}'| \
  sort -k 2 -n -r

  echo ""
}


if [ "X$1" == "X" ]
then
  show_swap
  exit
fi

while true
do
  show_swap
  sleep $1
done
